Aabn kata Tnv eggpavion evog Hadnuatog
Status: EmAupevo Start date: 10/02/2014
Priority: Kavovikn Due date:

Assignee: Panayotis Katsaloulis % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 3.0 Spent time: 0.00 hour
Description

Y& Kabapn £yKATAOTAON, KE PMOVO £VA HABNUA EYKATESTNHPEVO P@avi{ovTal Ta €Eng unvuyara:
1054: Unknown column 'course_license' in 'field list'

SELECT keywords, visible, prof_names, public_code, course_license
FROM course WHERE id = 1

Warning: mysql_fetch_array () expects parameter 1 to be resource, boolean given in /Users/teras/Wor
ks/Development /WebApps/eClass/server/modules/course_home/course_home.php on line 65

In file /Users/teras/Works/Development/WebApps/eClass/server/modules/course_home/course_home.php o
n line 306

Error: Unable to fetch single result as object [Statement='SELECT level FROM course_review WHERE c
ourse_id = ?' Elapsed='0.00021600000000001]

History

#1 - 10/02/2014 15:49 - Thanos Kyritsis

- Target version set to 3.0

Na to AaBog pe ™ oTnAn course_license, emBePfalwoe please av evat oviwg kKabapn-ppPecKLa £yKATAoTAoN. To MeSLO AQUTO UTIAPXEL GTNV
install_db.php kat wg ek TouTtou dev Ba £MPETE va AELTEL ATIO TOV TILVAKA COUrSe.

Na to AaBog otn ypapun 306 Tou course_home.php, pynopelg o€ napakaiw va emBepaiwoelg nwg oL onueplveq ahAayeg oto Database object dev
elgayouv Karowo "bug” otnv querySingle() ?

To query "SELECT level FROM course_review WHERE course_id = ?" ovTwg PTopeL va ETLOTPEYEL KEVO rowSet. Ztov php KwdlKa UTIapXEL OHWG
€AEYXOG TOU TUTIOU:

Sobject = Database::get () ->querySingle ("SELECT level");
$level = null;
if (Sobject != null) {
Slevel = S$object->level;
}

AUTOU TOU TUTIOU O KwdLKAG, HETA TA ONUEPLYA CoOMmMIts, EXw TNV EVIUTIWAON TIWG TIAPAYEL (ECPANPEVA) TO error TIoU 00U TUTIWBNKE oTn oeALda.

#2 - 10/02/2014 15:49 - Thanos Kyritsis

- Assignee set to Panayotis Katsaloulis

#3 - 10/02/2014 18:09 - Panayotis Katsaloulis

- Status changed from Nea to EruAuuevo

Ovtwg urnpye Bepa pe TNV EMLOTPOPN AVTLKELUEVOU - Qv JEV UTINPXE anoTeAeopa eneaTpede null omwg nTav avapevouevo aAAa EVNPEPWVE Kat
TO XPNOTN Yla QuUTO.
Me 10 patch 6618:6975565abf88 auto dLopBwbNKE.

25/04/2024 1/1



http://www.tcpdf.org

